import request from '@/utils/request'

// 查询任务管理列表
export function listTaskManage(query) {
  return request({
    url: '/manage/taskManage/list',
    method: 'get',
    params: query
  })
}

// 查询任务管理详细
export function getTaskManage(taskId) {
  return request({
    url: '/manage/taskManage/' + taskId,
    method: 'get'
  })
}

// 新增任务管理
export function addTaskManage(data) {
  return request({
    url: '/manage/taskManage',
    method: 'post',
    data: data
  })
}

// 修改任务管理
export function updateTaskManage(data) {
  return request({
    url: '/manage/taskManage/put',
    method: 'post',
    data: data
  })
}

// 删除任务管理
export function delTaskManage(taskId) {
  return request({
    url: '/manage/taskManage/delete/' + taskId,
    method: 'get'
  })
}
